Bug 447206 - -iconic flag has no effect
-iconic flag has no effect
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-18 15:52 EDT by Sjoerd Mullender
Modified: 2014-06-18 05:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:27:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sjoerd Mullender 2008-05-18 15:52:56 EDT
Description of problem:
Starting XEmacs with the -iconic flag does not start XEmacs minimized.
I'm using the Gnome desktop, if that matters.

Version-Release number of selected component (if applicable):

How reproducible:
All the time.

Steps to Reproduce:
1.run: xemacs -iconic
Actual results:
The XEmacs window appears.

Expected results:
XEmacs is started, but the window is minimized (iconified).

Additional info:
I'm using Gnome.  This is on both i686 and x86_64 on an up-to-date F9 install.
Comment 1 Ville Skyttä 2008-05-19 01:09:30 EDT
Works for me in F-8 x86_64 KDE.  I don't have other setups available to test
this in right now.  Does GNU Emacs' -iconic work for you?
Comment 2 Sjoerd Mullender 2008-05-19 12:29:08 EDT
It worked correctly for me also in F8.

GNU emacs -iconic does work on F9.
Comment 3 Ville Skyttä 2008-06-29 08:31:10 EDT
Works as it should also in F9 KDE.  Therefore, suspecting F9 metacity could be
the culprit, reassinging to it.
Comment 4 Sjoerd Mullender 2009-05-16 08:07:34 EDT
As far as I am concerned (as the OP), this bug can be closed.  It works correctly on Fedora 10.  I'm not interested in Fedora 9 anymore, especially with F11 around the corner where it also works correctly.
Comment 5 Bug Zapper 2009-06-09 20:58:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-07-14 12:27:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.